%def_with openssl
%define ver_major 1.1

Name: linc
Version: %ver_major.1
Release: alt2

Summary: Library for writing network programs
Group: System/Libraries
License: LGPL
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define pkgconfig_ver 0.15
%define glib_ver 2.2.2
%define gtk_doc_ver 1.1

# Automatically added by buildreq on Wed Jul 23 2003
BuildRequires: docbook-dtds docbook-style-xsl glib2-devel glibc-devel-static gtk-doc libssl-devel libxslt pkgconfig xml-common xsltproc

%if_with openssl
BuildRequires: libssl-devel
%endif

BuildRequires: pkgconfig >= %pkgconfig_ver
BuildRequires: glib2-devel >= %glib_ver
BuildRequires: gtk-doc >= %gtk_doc_ver

%description
%name is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of varioustransports. It is used by the new ORBit to handle
message transmission/receipt.

%package -n lib%name
Summary: Library for writing network programs
Group: System/Libraries

%description -n lib%name
%name is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of varioustransports. It is used by the new ORBit to handle
message transmission/receipt.

This package contains shared libraries needed to run programs that use
%name.

%package -n lib%name-devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: lib%name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: glib2-devel >= %glib_ver

%description -n lib%name-devel
%name is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of varioustransports. It is used by the new ORBit to handle
message transmission/receipt.

This package contains the header files and libraries needed to write
or compile programs that use %name.

%package -n lib%name-devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
%name is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of varioustransports. It is used by the new ORBit to
handle message transmission/receipt.

This package contains static libraries needed to compile statically
linked programs that use %name.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure \
    --enable-gtk-doc \
%if_with openssl
    --with-openssl
%else
    --without-openssl
%endif

%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS ChangeLog README NEWS

%files -n lib%name-devel
%_bindir/*
%exclude %_bindir/linc-cleanup-sockets
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%doc MAINTAINERS HACKING
%doc %_gtk_docdir/%name

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Wed Jul 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt2
- remove sockets cleaner that conflicts with new one 
  from ORBit2 package (close #2780).

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Mon Dec 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- 0.7.1

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Wed May 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.21-alt1
- Adopted for Sisyphus.
- libification
- devel-static package.
- gtk-docs

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.1.21
- disable SSL

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 0.1.20

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.1.18

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.1.16

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 0.1.12.90 snap

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap 0.1.9.90, rebuild for glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild on new glib

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with headers moved
- hrm, put headers in the devel package, doh

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap action

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to released 0.1.5 tarball

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- -devel package requires specific glib, update to new cvs snap

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Tue Sep  4 2001 Havoc Pennington <hp@pobox.com>
- create package

